Update task screen time
curl --request POST \
--url https://api.example.com/api/v2/tasks/{taskId}/update-screen-time \
--header 'Content-Type: application/json' \
--data '
{
"additionalScreenTime": 1
}
'import requests
url = "https://api.example.com/api/v2/tasks/{taskId}/update-screen-time"
payload = { "additionalScreenTime": 1 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({additionalScreenTime: 1})
};
fetch('https://api.example.com/api/v2/tasks/{taskId}/update-screen-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"null"{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"details": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Task
Update task screen time
Adds a specified duration to the total screen time recorded for a task. This is typically used for tasks involving user interaction.
POST
/
api
/
v2
/
tasks
/
{taskId}
/
update-screen-time
Update task screen time
Path Parameters
The unique identifier of the task for which to update screen time.
Body
application/json
The additional screen time in milliseconds to add to the task's total.
Required range:
x > 0Response
enum<string> | null
Screen time updated successfully. No content returned.
Available options:
null ⌘I